#apication
server.port=${PORT:0}
spring.application.name=msclient

#DATASOURCE
spring.datasource.url=jdbc:h2:mem:msclient
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.username=msclient
spring.datasource.password=

#H2CONSOLE
spring.h2.console.enabled=true
spring.h2.console.path=/h2-console

#JPA
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.jpa.hibernate.ddl-auto=update

#EUREKA
eureka.client.service-url.defaultZone=http://localhost:8761/eureka/
eureka.client.fetch-registry=true
eureka.instance.instance-id=${spring.application.name}:${spring.application.instance_id:${random.value}}
